<?php
// Non permitir o acceso directo
defined('_JEXEC') or die('Acceso restrinxido');

class ModPubtoolsHelper {
    function injectHeadResources() {
        $basePath = JURI::root(true);
        $jdoc = &JFactory::getDocument();
        
        /* *****************************************************************************
        <link rel="stylesheet" type="text/css" href="pubtools-search.css"></link>
        ****************************************************************************** */
        $jdoc->addStyleSheet( $basePath . '/modules/mod_pubtools/resources/pubtools-search.css');
        
        /* *****************************************************************************
        <script type="text/javascript" src="pubtools-util.js"></script>
        <script type="text/javascript" src="pubtools-search.js"></script>
        ****************************************************************************** */
        $jdoc->addScript( $basePath . '/modules/mod_pubtools/resources/pubtools-util.js');
        $jdoc->addScript( $basePath . '/modules/mod_pubtools/resources/pubtools-search.js');
        
        /* *****************************************************************************
        <link rel="search.urls" href="./modules/mod_pubtools/manifest.php"></link>
        ****************************************************************************** */
        $jdoc->addHeadLink( $basePath . '/modules/mod_pubtools/manifest.php', 'search.urls', 'rel');
        
        /* Meta to custom search control */
        $jdoc->addCustomTag('<meta name="search.force-mime-type" content="text/html" />');
        $jdoc->addCustomTag('<meta name="search.focus" content="false" />');
        $jdoc->addCustomTag('<meta name="search.auto" content="false" />');
    }
}